View Issue Details

IDProjectCategoryView StatusLast Update
0034547LazarusIDEpublic2018-11-14 12:24
ReporterAlexey Tor.Assigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinux gtk2 x64OSUbuntu 18.04OS Version
Product Version2.1 (SVN)Product Build 
Target VersionFixed in Version 
Summary0034547: IDE Publish Project dlg has truncated Combobox
Descriptioncombobox is truncated on top/bottom, ie top/bottom borders are not visible (left/right are).
TagsNo tags attached.
Fixed in Revisionr59544
LazTarget-
WidgetsetGTK 2
Attached Files
  • fix.diff (4,729 bytes)
    Index: ide/publishmoduledlg.lfm
    ===================================================================
    --- ide/publishmoduledlg.lfm	(revision 59542)
    +++ ide/publishmoduledlg.lfm	(working copy)
    @@ -10,7 +10,7 @@
       OnClose = FormClose
       OnCreate = FormCreate
       Position = poScreenCenter
    -  LCLVersion = '1.9.0.0'
    +  LCLVersion = '2.1.0.0'
       object DestDirGroupBox: TGroupBox
         Left = 6
         Height = 66
    @@ -21,17 +21,17 @@
         Caption = 'Destination directory'
         ChildSizing.LeftRightSpacing = 6
         ChildSizing.TopBottomSpacing = 6
    -    ClientHeight = 46
    +    ClientHeight = 47
         ClientWidth = 626
         TabOrder = 0
         object DestDirComboBox: TComboBox
           AnchorSideRight.Control = BrowseDestDirBitBtn
           Left = 6
    -      Height = 23
    +      Height = 29
           Top = 6
    -      Width = 589
    +      Width = 564
           Anchors = [akTop, akLeft, akRight]
    -      ItemHeight = 15
    +      ItemHeight = 0
           TabOrder = 0
           Text = 'DestDirComboBox'
         end
    @@ -40,10 +40,10 @@
           AnchorSideRight.Side = asrBottom
           AnchorSideBottom.Control = DestDirComboBox
           AnchorSideBottom.Side = asrBottom
    -      Left = 595
    -      Height = 23
    +      Left = 570
    +      Height = 29
           Top = 6
    -      Width = 25
    +      Width = 50
           Anchors = [akTop, akRight, akBottom]
           BorderSpacing.Right = 6
           Caption = '...'
    @@ -55,24 +55,24 @@
         AnchorSideTop.Control = FilterCombobox
         AnchorSideTop.Side = asrBottom
         Left = 6
    -    Height = 51
    -    Top = 189
    +    Height = 55
    +    Top = 166
         Width = 628
         Anchors = [akTop, akLeft, akRight]
         AutoSize = True
    -    BorderSpacing.Around = 18
    +    BorderSpacing.Around = 6
         Caption = 'Options'
         ChildSizing.TopBottomSpacing = 6
    -    ClientHeight = 31
    +    ClientHeight = 36
         ClientWidth = 624
    -    TabOrder = 1
    +    TabOrder = 4
         object CompressCheckbox: TCheckBox
           AnchorSideRight.Side = asrBottom
           Left = 6
    -      Height = 19
    +      Height = 24
           Hint = 'Compress the whole directory into a ZIP file.'
           Top = 6
    -      Width = 73
    +      Width = 94
           BorderSpacing.Around = 6
           Caption = 'Compress'
           ParentShowHint = False
    @@ -82,10 +82,10 @@
         object OpenInFileManCheckbox: TCheckBox
           AnchorSideRight.Side = asrBottom
           Left = 108
    -      Height = 19
    +      Height = 24
           Hint = 'Open destination directory in file manager'
           Top = 6
    -      Width = 131
    +      Width = 163
           BorderSpacing.Around = 6
           Caption = 'Open in file manager'
           ParentShowHint = False
    @@ -95,8 +95,8 @@
       end
       object ButtonPanel1: TButtonPanel
         Left = 6
    -    Height = 26
    -    Top = 288
    +    Height = 29
    +    Top = 285
         Width = 630
         OKButton.Name = 'OKButton'
         OKButton.DefaultCaption = True
    @@ -106,7 +106,7 @@
         CloseButton.DefaultCaption = True
         CancelButton.Name = 'CancelButton'
         CancelButton.DefaultCaption = True
    -    TabOrder = 2
    +    TabOrder = 5
         ShowBevel = False
       end
       object UseFiltersCheckbox: TCheckBox
    @@ -113,21 +113,21 @@
         AnchorSideTop.Control = NoteLabel
         AnchorSideTop.Side = asrBottom
         Left = 6
    -    Height = 19
    -    Top = 111
    -    Width = 136
    -    BorderSpacing.Around = 18
    +    Height = 24
    +    Top = 101
    +    Width = 181
    +    BorderSpacing.Around = 6
         Caption = 'Use filter for extra files'
         OnClick = UseFiltersCheckboxClick
    -    TabOrder = 3
    +    TabOrder = 1
       end
       object NoteLabel: TLabel
         AnchorSideTop.Control = DestDirGroupBox
         AnchorSideTop.Side = asrBottom
         Left = 6
    -    Height = 15
    +    Height = 17
         Top = 78
    -    Width = 350
    +    Width = 431
         BorderSpacing.Around = 6
         Caption = 'Files belonging to project / package will be included automatically.'
         Font.Color = clMaroon
    @@ -141,14 +141,13 @@
         AnchorSideTop.Side = asrBottom
         AnchorSideRight.Control = FilterSimpleSyntaxCheckbox
         Left = 24
    -    Height = 23
    -    Top = 148
    -    Width = 480
    +    Height = 29
    +    Top = 131
    +    Width = 460
         Anchors = [akTop, akLeft, akRight]
    -    AutoSize = False
         BorderSpacing.Left = 18
    -    ItemHeight = 15
    -    TabOrder = 4
    +    ItemHeight = 0
    +    TabOrder = 2
         Text = 'FilterCombobox'
       end
       object FilterSimpleSyntaxCheckbox: TCheckBox
    @@ -155,15 +154,15 @@
         AnchorSideLeft.Side = asrBottom
         AnchorSideTop.Control = FilterCombobox
         AnchorSideTop.Side = asrCenter
    -    Left = 517
    -    Height = 19
    -    Top = 150
    -    Width = 93
    +    Left = 490
    +    Height = 24
    +    Top = 133
    +    Width = 120
         Anchors = [akTop, akRight]
    -    BorderSpacing.Around = 13
    +    BorderSpacing.Around = 6
         Caption = 'Simple Syntax'
         ParentShowHint = False
         ShowHint = True
    -    TabOrder = 5
    +    TabOrder = 3
       end
     end
    
    fix.diff (4,729 bytes)

Activities

Alexey Tor.

2018-11-12 23:16

reporter  

Alexey Tor.

2018-11-14 09:56

reporter  

fix.diff (4,729 bytes)
Index: ide/publishmoduledlg.lfm
===================================================================
--- ide/publishmoduledlg.lfm	(revision 59542)
+++ ide/publishmoduledlg.lfm	(working copy)
@@ -10,7 +10,7 @@
   OnClose = FormClose
   OnCreate = FormCreate
   Position = poScreenCenter
-  LCLVersion = '1.9.0.0'
+  LCLVersion = '2.1.0.0'
   object DestDirGroupBox: TGroupBox
     Left = 6
     Height = 66
@@ -21,17 +21,17 @@
     Caption = 'Destination directory'
     ChildSizing.LeftRightSpacing = 6
     ChildSizing.TopBottomSpacing = 6
-    ClientHeight = 46
+    ClientHeight = 47
     ClientWidth = 626
     TabOrder = 0
     object DestDirComboBox: TComboBox
       AnchorSideRight.Control = BrowseDestDirBitBtn
       Left = 6
-      Height = 23
+      Height = 29
       Top = 6
-      Width = 589
+      Width = 564
       Anchors = [akTop, akLeft, akRight]
-      ItemHeight = 15
+      ItemHeight = 0
       TabOrder = 0
       Text = 'DestDirComboBox'
     end
@@ -40,10 +40,10 @@
       AnchorSideRight.Side = asrBottom
       AnchorSideBottom.Control = DestDirComboBox
       AnchorSideBottom.Side = asrBottom
-      Left = 595
-      Height = 23
+      Left = 570
+      Height = 29
       Top = 6
-      Width = 25
+      Width = 50
       Anchors = [akTop, akRight, akBottom]
       BorderSpacing.Right = 6
       Caption = '...'
@@ -55,24 +55,24 @@
     AnchorSideTop.Control = FilterCombobox
     AnchorSideTop.Side = asrBottom
     Left = 6
-    Height = 51
-    Top = 189
+    Height = 55
+    Top = 166
     Width = 628
     Anchors = [akTop, akLeft, akRight]
     AutoSize = True
-    BorderSpacing.Around = 18
+    BorderSpacing.Around = 6
     Caption = 'Options'
     ChildSizing.TopBottomSpacing = 6
-    ClientHeight = 31
+    ClientHeight = 36
     ClientWidth = 624
-    TabOrder = 1
+    TabOrder = 4
     object CompressCheckbox: TCheckBox
       AnchorSideRight.Side = asrBottom
       Left = 6
-      Height = 19
+      Height = 24
       Hint = 'Compress the whole directory into a ZIP file.'
       Top = 6
-      Width = 73
+      Width = 94
       BorderSpacing.Around = 6
       Caption = 'Compress'
       ParentShowHint = False
@@ -82,10 +82,10 @@
     object OpenInFileManCheckbox: TCheckBox
       AnchorSideRight.Side = asrBottom
       Left = 108
-      Height = 19
+      Height = 24
       Hint = 'Open destination directory in file manager'
       Top = 6
-      Width = 131
+      Width = 163
       BorderSpacing.Around = 6
       Caption = 'Open in file manager'
       ParentShowHint = False
@@ -95,8 +95,8 @@
   end
   object ButtonPanel1: TButtonPanel
     Left = 6
-    Height = 26
-    Top = 288
+    Height = 29
+    Top = 285
     Width = 630
     OKButton.Name = 'OKButton'
     OKButton.DefaultCaption = True
@@ -106,7 +106,7 @@
     CloseButton.DefaultCaption = True
     CancelButton.Name = 'CancelButton'
     CancelButton.DefaultCaption = True
-    TabOrder = 2
+    TabOrder = 5
     ShowBevel = False
   end
   object UseFiltersCheckbox: TCheckBox
@@ -113,21 +113,21 @@
     AnchorSideTop.Control = NoteLabel
     AnchorSideTop.Side = asrBottom
     Left = 6
-    Height = 19
-    Top = 111
-    Width = 136
-    BorderSpacing.Around = 18
+    Height = 24
+    Top = 101
+    Width = 181
+    BorderSpacing.Around = 6
     Caption = 'Use filter for extra files'
     OnClick = UseFiltersCheckboxClick
-    TabOrder = 3
+    TabOrder = 1
   end
   object NoteLabel: TLabel
     AnchorSideTop.Control = DestDirGroupBox
     AnchorSideTop.Side = asrBottom
     Left = 6
-    Height = 15
+    Height = 17
     Top = 78
-    Width = 350
+    Width = 431
     BorderSpacing.Around = 6
     Caption = 'Files belonging to project / package will be included automatically.'
     Font.Color = clMaroon
@@ -141,14 +141,13 @@
     AnchorSideTop.Side = asrBottom
     AnchorSideRight.Control = FilterSimpleSyntaxCheckbox
     Left = 24
-    Height = 23
-    Top = 148
-    Width = 480
+    Height = 29
+    Top = 131
+    Width = 460
     Anchors = [akTop, akLeft, akRight]
-    AutoSize = False
     BorderSpacing.Left = 18
-    ItemHeight = 15
-    TabOrder = 4
+    ItemHeight = 0
+    TabOrder = 2
     Text = 'FilterCombobox'
   end
   object FilterSimpleSyntaxCheckbox: TCheckBox
@@ -155,15 +154,15 @@
     AnchorSideLeft.Side = asrBottom
     AnchorSideTop.Control = FilterCombobox
     AnchorSideTop.Side = asrCenter
-    Left = 517
-    Height = 19
-    Top = 150
-    Width = 93
+    Left = 490
+    Height = 24
+    Top = 133
+    Width = 120
     Anchors = [akTop, akRight]
-    BorderSpacing.Around = 13
+    BorderSpacing.Around = 6
     Caption = 'Simple Syntax'
     ParentShowHint = False
     ShowHint = True
-    TabOrder = 5
+    TabOrder = 3
   end
 end
fix.diff (4,729 bytes)

Alexey Tor.

2018-11-14 09:57

reporter   ~0111965

fix.diff added.
-fixed subj.
-fixed TabOrder
-fixed BorderSpacing for n controls: it was 13..18, made 6
-made wider ... button

Juha Manninen

2018-11-14 12:24

developer   ~0111969

Applied, thanks.

Issue History

Date Modified Username Field Change
2018-11-12 23:16 Alexey Tor. New Issue
2018-11-12 23:16 Alexey Tor. File Added: Screenshot from 2018-11-13 01-10-05.png
2018-11-14 09:56 Alexey Tor. File Added: fix.diff
2018-11-14 09:57 Alexey Tor. Note Added: 0111965
2018-11-14 11:06 Juha Manninen Assigned To => Juha Manninen
2018-11-14 11:06 Juha Manninen Status new => assigned
2018-11-14 12:24 Juha Manninen Fixed in Revision => r59544
2018-11-14 12:24 Juha Manninen LazTarget => -
2018-11-14 12:24 Juha Manninen Note Added: 0111969
2018-11-14 12:24 Juha Manninen Status assigned => resolved
2018-11-14 12:24 Juha Manninen Resolution open => fixed